OpenNMS::Release::SFTPRepo(3pm)

NAME
OpenNMS::Release::SFTPRepo - Perl extension that represents a remote SFTP repository

SYNOPSIS
  use OpenNMS::Release::SFTPRepo;

DESCRIPTION
This represents a remote SFTP file repository.

CONSTRUCTOR
OpenNMS::Release::SFTPRepo->new($host, $base, { args => option });

Create a new Repo object. You can add and remove files to/from it, re-index it, and so on.

host - the hostname to connect to
base - the top-level path for the repository
args - a reference to a hash containing additional arguments to pass to Net::SFTP::Foreign.

METHODS

  * path
The path of the repository.

  * host
The host to connect to.

  * to_string
A convenient way of displaying the repository.

  * index({options})
No-op, remote repositories don't get indexed.

AUTHOR
Benjamin Reed <ranger@opennms.org>

COPYRIGHT AND LICENSE
Copyright (C) 2012 by The OpenNMS Group, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.